#include "MiletusUser.h"

using namespace std;

extern "C" ygNode* construct_MiletusUser(const char* name,bool master) { return new MiletusUser(name,master); }

struct _MiletusUserPrivateData
	{
	};


MiletusUser::MiletusUser(const char* name,bool master) : ygUser(name,master)
	{
	setClassName("MiletusUser");
	p_ = new struct _MiletusUserPrivateData;
	}

MiletusUser::~MiletusUser(void)
	{
	delete p_;
	}


void MiletusUser::reset(void)
	{
	ygUser::reset();
	}


void MiletusUser::message(const ygMessage& msg)
	{
	if (msg == "event")
		{
		eventOccurred(msg.args[0]);
		}
	else
		ygUser::message(msg);
	}


void MiletusUser::app(void)
	{
	ygUser::app();
	}
