#include "ygUser.h"
#include "body.h"

extern "C" ygNode* construct_body(const char* name,bool master) { return new body(name,master); }

struct _bodyPrivateData
	{
	ygUser * user;
	};


body::body(const char* name,bool master) : ygTransform(name,master)
	{
	setClassName("body");
	p_ = new struct _bodyPrivateData;
	}


void body::reset(void)
	{
	p_->user = ygUser::findUserAncestor(this);
	}


body::~body(void)
	{
	delete p_;
	}


void body::app(void)
	{
	if ((p_->user) && (p_->user->head()))
		{
		pfVec3 pos,ori;
		pos = p_->user->head()->origin(parent());
		pos[PF_Z] -= 3;
		setPosition(pos);
//		ori = p_->user->head()->orientation(parent());
//		setOrientation(0, 0, ori[PF_Z]);
		}
	ygTransform::app();
	}
