#include "extNavigator.h"

using namespace std;

extern "C" ygNode* construct_extNavigator(const char* name,bool master) { return new extNavigator(name,master); }


extNavigator::extNavigator(const char* name,bool master) : ygCAVENavigator(name,master)
	{
	setClassName("extNavigator");
	}

extNavigator::~extNavigator(void)
	{
	}


void extNavigator::reset(void)
	{
	ygCAVENavigator::reset();
	}


void extNavigator::message(const ygMessage& msg)
	{
	if (msg == "heading")
		setHeading(msg.floatArg(0));
	else
		ygCAVENavigator::message(msg);
	}


void extNavigator::setHeading(float heading)
	{
	data().setHeading(heading);
	}


void extNavigator::app(void)
	{
	ygCAVENavigator::app();
	}
