#ifndef _remoteSound_h_
#define _remoteSound_h_

#include "ygNode.h"


class remoteSound : public ygNode
	{
	public:
	 remoteSound(const char* name,bool master=true);
	 virtual ~remoteSound(void);
	 virtual void reset(void);
	 virtual void message(const ygMessage&);
	 virtual void app(void);
		 void setPlayer(const ygString&);
		 void sendFile(const ygString&);
		 void setFile(const ygString&);
		 void fetchFile(const ygString&);
		 void play(void);
	 virtual void acceptNetKey(const ygString&);
	private:
		 void uploadFinished(void);
		 void downloadFinished(void);
		 void startPlaying(void);
	 struct _remoteSoundPrivateData * p_;
	};


#endif
