#include <stdio.h>
#include <string.h>
#include <CAVERN.hxx>
#include "ygNetClient.h"

int main(int argc,char **argv)
	{
	char *host = "localhost";
	int port = 3500;
	if (argc > 1)
		host = strdup(argv[1]);
	if (argc > 2)
		port = atoi(argv[2]);
	CAVERNnet_udp_c * sock = new CAVERNnet_udp_c;
	sock->init(0);
	sock->setSendAddress(host,port);
	char buf[1024];
	CAVERNnet_datapack_c packer;
	packer.initPack(buf,sizeof(buf));
	packer.packInt(YG_NET_PING);
	sock->send(packer.getBuffer(),packer.getBufferFilledSize());
	delete sock;
	}
