#include <pfcave.h>
#include "ygUser.h"
#include "ygCAVEHead.h"

extern "C" ygNode* construct_ygCAVEHead(const char* name,bool master) { return new ygCAVEHead(name,master); }

struct _ygCAVEHeadPrivateData
	{
	ygUser* user;
	};


ygCAVEHead::ygCAVEHead(const char* name,bool master) : ygCAVETracker(name,master)
	{
	setClassName("ygCAVEHead");
	p_ = new struct _ygCAVEHeadPrivateData;
	p_->user = NULL;
	}


void ygCAVEHead::reset(void)
	{
	p_->user = ygUser::findUserAncestor(this);
	if (p_->user)
		p_->user->setHead(this);
	}


const ygUser* ygCAVEHead::user(void) const
	{
	return p_->user;
	}
