/*
 * Ygdrasil Version 0.1.5
 */
#ifndef _ygCAVETracker_h_
#define _ygCAVETracker_h_

#include "ygSimpleTransform.h"

class ygCAVETracker : public ygSimpleTransform
	{
	public:
	 ygCAVETracker(const char*,bool master=true);
	 virtual void reset(void);
	 virtual void message(const ygMessage& msg);
	 virtual void app(void);
	 inline void setSensor(int s) { sensor_ = s; };
	 inline int sensor(void) const { return sensor_; };
	private:
	 int sensor_;
	};

extern "C" ygNode* construct_ygCAVETracker(const char*,bool);

#endif
