/*
 * Ygdrasil Version 0.1.5
 */
#ifndef __ygCylinder_h__
#define __ygCylinder_h__

#include "ygVolume.h"

class ygCylinder : public pfCylinder, public ygVolume
		{
		public:
		 ygCylinder(void);
		 ygCylinder(const pfCylinder&);
		 virtual float sqrDistance(const pfVec3 &) const;
		 virtual int contains(const pfVec3 &) const;
		 virtual int isect(const pfSeg *,float *,float *) const;
		 virtual void makeEmpty(void);
		 virtual void extendBy(const pfVec3 &);
		 virtual void extendBy(const pfBox *);
		 virtual void extendBy(const pfSphere *);
		 virtual void extendBy(const pfCylinder *);
		 virtual void around(const pfVec3 *,int);
		 virtual void around(const pfBox **,int);
		 virtual void around(const pfSphere **,int);
		 virtual void around(const pfCylinder **,int);
		 virtual float size(void) const;
		 virtual int volumeType(void) const;
		protected:
		};

#endif
