/*
 * Ygdrasil Version 0.1.5
 */
#ifndef _ygDSOLoader_h_
#define _ygDSOLoader_h_

#include "ygString.h"
class ygNode;

typedef ygNode * (*ygNodeConstructorPtr)(const char*,bool);


class ygDSOLoader
	{
	public:
	 static void init(void);
	 static ygNodeConstructorPtr getNodeConstructor(const ygString&);
	private:
	 static void preLoadClasses(const ygString &classes);
	 static void searchForDSOs(void);
	 static void searchDirectory(const ygString& dirname);
	 static bool loadDSO(struct _ygDSOInfo *info);
	 static bool loadDSODependencies(const struct _ygDSOInfo *info);
	 static struct _ygDSOLoaderPrivateData * p_;
	};


#endif
