/*
 * Ygdrasil Version 0.1.5
 */
#ifndef __ygPointVolume_h__
#define __ygPointVolume_h__

#include "ygVolume.h"

class ygPointVolume : public pfVec3, public ygVolume
		{
		public:
		 ygPointVolume(void);
		 ygPointVolume(const pfVec3&);
		 virtual ~ygPointVolume(void);
		 ygPointVolume& operator=(const pfVec3&);
		 virtual float sqrDistance(const pfVec3 &) const;
		 virtual int contains(const pfVec3 &) const;
		 virtual int isect(const pfSeg *,float *,float *) const;
		 virtual void makeEmpty(void);
		 virtual void extendBy(const pfVec3 &);
		 virtual void extendBy(const pfBox *);
		 virtual void extendBy(const pfSphere *);
		 virtual void extendBy(const pfCylinder *);
		 virtual void around(const pfVec3 *,int);
		 virtual void around(const pfBox **,int);
		 virtual void around(const pfSphere **,int);
		 virtual void around(const pfCylinder **,int);
		 virtual float size(void) const;
		 virtual int volumeType(void) const;
		protected:
		};

#endif
