/*
 * Ygdrasil Version 0.1.5
 */
#ifndef _ygSwitch_h_
#define _ygSwitch_h_

#include "ygNode.h"


class ygSwitch : public ygNode
	{
	public:
	 ygSwitch(const char*,bool master=true);
	 virtual ~ygSwitch(void);
	 virtual void reset(void);
	 virtual void message(const ygMessage&);
	 virtual void app(void);
	 virtual void appTraverse(void);
		 bool isOn(void) const;
		 void on(void);
		 void off(void);
		 void toggle(void);
	protected:
	 virtual void acceptNetKey(const ygString&);
	private:
	 struct _ygSwitchPrivateData *p_;
	};


extern "C" ygNode* construct_ygSwitch(const char*,bool);

#endif
