/*
 * Ygdrasil Version 0.1.5
 */
#ifndef _ygUser_h_
#define _ygUser_h_

#include "ygSimpleTransform.h"
class ygNavigator;

class ygUser : public ygSimpleTransform
	{
	public:
	 ygUser(const char*,bool master=true);
	 virtual ~ygUser(void);
	 virtual void message(const ygMessage&);
	 virtual void app(void);
	 	 void setNavigator(ygNavigator*);
	 	 ygNavigator* navigator(void) const;
	 	 ygNode* head(void) const;
	 	 int numWands(void) const;
	 	 ygNode* wand(int) const;
		 void setHead(ygNode*);
		 void addWand(ygNode*);
		 void showLocal(bool show=true);
	 static ygUser* findUserAncestor(ygNode *);
	protected:
	 virtual void acceptNetKey(const ygString&);
	private:
	 struct _ygUserPrivateData *p_;
		 void storeWandKey(void);
		 void storeHeadKey(void);
	};


extern "C" ygNode* construct_ygUser(const char*,bool);

#endif
