#ifndef _audioTool_h_
#define _audioTool_h_

#include <deque>
#include <vector>
#include "soundNode.h"
#include "ygNode.h"

//because we're using the standarf template library vector
using namespace std;

class audioTool : public ygNode
	{
	public:
	 audioTool(const char* name,bool master=true);
	 virtual void reset(void);
	 virtual void message(const ygMessage&);
	private:
	 void queueSound(ygString nameofSoundNode);
	 bool alreadyPlayed(ygString nameofSoundNode);
	 void toggleSound(void);
	 void selectSound(void);
	 void playSound(ygString nameofSoundNode);
	 void stopSound(void);
	 void checkQueues(void);
	 void clearQueue(void);
	 deque <ygString> newQueue_;
	 deque <ygString> oldQueue_;
	 vector <ygString> playedSounds_;
	 bool playing_;
	 ygString language_;
	};


#endif
