#ifndef _flyingCarpet_h_
#define _flyingCarpet_h_

#include "ygTransform.h"


class flyingCarpet : public ygTransform
	{
	public:
	 flyingCarpet(const char* name,bool master=true);
	 ~flyingCarpet(void);
	 virtual void reset(void);
	 virtual void message(const ygMessage&);
	 virtual void app(void);
		 void move(const ygString& userName,const pfVec3& destination,
			float destHeading,float duration);
		 void stop(void);
	private:
		 void interpolate(float a);
	 struct _flyingCarpetPrivateData * p_;
	};


#endif
