#include <ygUser.h>
#include <ygWand.h>
#include <ygUtil.h>
#include <ygWorld.h>
#include "grabber.h"

using namespace std;

extern "C" ygNode* construct_grabber(const char* name,bool master) { return new grabber(name,master); }

struct _grabberPrivateData
	{
	ygWand * grabbedBy;
	ygUser * grabbedByUser;
	bool firstFrame;
	};


grabber::grabber(const char* name,bool master) : ygTransform(name,master)
	{
	setClassName("grabber");
	p_ = new struct _grabberPrivateData;
	p_->grabbedBy = 0;
	p_->grabbedByUser = 0;
	p_->firstFrame = true;
	}

grabber::~grabber(void)
	{
	delete p_;
	}


void grabber::reset(void)
	{
	ygTransform::reset();
	}


void grabber::message(const ygMessage& msg)
	{
	if (msg == "mymessage")
		{
		/*mymessage(msg);*/
		}
	else
		ygTransform::message(msg);
	}


void grabber::app(void)
	{
	int i,j;
	ygString flag;
	if (p_->firstFrame)
		{
		computeBounds();
		p_->firstFrame = false;
		}
	if (grabbed())
		{
		}
	else
		{
		for (i=0; (i < ygWorld::World->numUsers()) && (!grabbed()); i++)
			{
			ygUser * user = ygWorld::World->user(i);
			for (j=0; (j < user->numWands()) && (!grabbed()); j++)
			    {
			    if ((user->wand(j)) && (user->wand(j)->isOfClass("ygWand")))
				{
				ygWand * wand = (ygWand*) user->wand(j);
				if (contains(wand->origin(this)))
					{
					for (j=0; j < wand->numFlags; j++)
						{
						wand->getFlag(j,flag);
						if (flag == "button2")
							{
							grab(user,wand);
							break;
							}
						}
					}
				}
			    }
			}
		}
	ygTransform::app();
	}
