#include <Performer/pf/pfSwitch.h>
#include "localData.h"

using namespace std;

extern "C" ygNode* construct_localData(const char* name,bool master) { return new localData(name,master); }


localData::localData(const char* name,bool master) : ygNode(name,master)
	{
	setClassName("localData",true);
	pfSwitch * sw = new pfSwitch;
	setPfNode(sw);
	if (master)
		sw->setVal(PFSWITCH_ON);
	else
		sw->setVal(PFSWITCH_OFF);
	}
