#ifndef _soundNode_h_
#define _soundNode_h_

#include <vector>
#include "ygNode.h"


class soundNode : public ygNode
	{
	public:
	 soundNode(const char* name,bool master=true);
	 virtual void reset(void);
	 virtual void message(const ygMessage&);
	 bool soundFile(const ygString & language,  ygString & file);
	protected:
	 void acceptNetKey(const ygString& key);
	private:
	 std::vector<ygString> language_;
	 std::vector<ygString> soundFile_;
	 ygString netLanguages_, netFiles_;
	};


#endif
