#ifndef _unroller_h_
#define _unroller_h_

#include "ygNode.h"


class unroller : public ygNode
	{
	public:
	 unroller(const char* name,bool master=true);
	 ~unroller(void);
	 virtual void reset(void);
	 virtual void message(const ygMessage&);
	 virtual void app(void);
	private:
	 struct _unrollerPrivateData * p_;
	 
	 void setStartSize(const ygMessage& msg);
	 void setEndSize(const ygMessage& msg);
	 void setVerts( float sizeX, float sizeZ);
	 void setTexCoords( float texX, float texZ);
	 void setRollState(void);
	 class pfGeoState *gstate_;
	 
	 
	 float xStartSize_, xEndSize_;
	 float zStartSize_, zEndSize_;
	 float duration_, startTime_;
	 pfVec3 *verts_; 
	 pfVec2 *texcoords_;
	 float xTexCoord_,  yTexCoord_;
	 
	 enum _rollState {UN_ROLL,  ROLL_UP,  DO_NOTHING }
		 state_;
	 int previousState_;
	};


#endif
