#include <stdio.h>
#include "CAVERN.hxx"

#define KEY_PATH "foobar"
#define KEY_NAME "baz"

main(int argc,char **argv)
	{
	if (argc < 3)
		{
		fprintf(stderr,"Usage: %s repeater-host repeater-port\n",argv[0]);
		exit(1);
		}
/* Create the data packet to spew */
	int nbytes;
	char data[16] = "1234567890abcde";
	CAVERNnet_datapack_c packer;
	void * buf = malloc(1024);
	packer.initPack((char *)buf, 1024);
	packer.packInt(SEND)
	packer.packInt(strlen(KEY_PATH)+1);
	packer.pack(KEY_PATH,strlen(KEY_PATH)+1);
	packer.packInt(strlen(KEY_NAME)+1);
	packer.pack(KEY_NAME,strlen(KEY_NAME)+1);
	packer.packInt(16);
	packer.pack(data,16);
	nbytes = packer.getBufferFilledSize();

/* Initialize the sockets */
	int port = atoi(argv[2]);
	CAVERNnet_udp_c * udpSocket;
	CAVERNnet_tcpReflectorClient_c * tcpSocket;
	udpSocket = new CAVERNnet_udp_c;
	udpSocket->init(0);
	udpSocket->setSendAddress(argv[1],port);
	udpSocket->makeNonBlocking();
	tcpSocket = new CAVERNnet_tcpReflectorClient_c;
	if (tcpSocket->connectToServer(argv[1],port) ==
	    CAVERNnet_tcpReflectorClient_c::FAILED)
		{
                cerr << "ERROR: failed to connect to TCP server " <<
			argv[1] << ":" << port << endl;
		exit(1);
		}

/* Sit & spew */
	while (1)
		{
		tcpSocket->write(buf,nbytes);
		udpSocket->send(buf,nbytes);
		usleep(10000);
		}
	}
