#include <pfcave.h>
#include "ygCAVEViewer.h"

extern "C" ygNode* construct_ygCAVEViewer(const char* name,bool master) { return new ygCAVEViewer(name,master); }


ygCAVEViewer::ygCAVEViewer(const char* name,bool master) : ygTransform(name,master)
	{
	setClassName("ygCAVEViewer");
	dontBroadcastNetKey("m");
	}


void ygCAVEViewer::app(void)
	{
	pfVec3 pos, ori;
	CAVEGetPosition(CAVE_HEAD_NAV, pos.vec);
	CAVEGetOrientation(CAVE_HEAD_NAV, ori.vec);
	setPosition(pos);
	setOrientation(ori);
	ygTransform::app();
	}
