#include "ygUser.h"
#include "ygNavigator.h"


ygNavigator::ygNavigator(const char* name,bool master) : ygNode(name,master)
	{
	user_ = NULL;
	}


void ygNavigator::reset(void)
	{
	user_ = ygUser::findUserAncestor(this);
	if (user_)
		user_->setNavigator(this);
	navData_.reset();
	ygNode::reset();
	}


void ygNavigator::app(void)
	{
	navData_.update(user_);
	ygNode::app();
	}
